require "red_matryoshka/version"
require "red_matryoshka/config"
require "red_matryoshka/base"
require "red_matryoshka/cache"
require "red_matryoshka/doll"
require "red_matryoshka/related_cache"

require "redis"

module RedMatryoshka
  class << self
    attr_accessor :configuration
  end

  def self.configuration
    @configuration ||= Config.new
  end

  def self.configure
    yield(configuration)
  end
end
